> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Type With Properties

> Get a ProductType with its effective PropertyDefinitions resolved.

Returns the product type along with effective properties (merged base template +
product type properties) and their resolved PropertyDefinition details.

**Authentication Required**: Requires `product_type:read` permission.



## OpenAPI

````yaml /openapi/merchantops-public.json get /api/product-types/{key}/properties
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/product-types/{key}/properties:
    get:
      tags:
        - Product Types
      summary: Get Product Type With Properties
      description: >-
        Get a ProductType with its effective PropertyDefinitions resolved.


        Returns the product type along with effective properties (merged base
        template +

        product type properties) and their resolved PropertyDefinition details.


        **Authentication Required**: Requires `product_type:read` permission.
      operationId: get_product_type_with_properties
      parameters:
        - in: path
          name: key
          required: true
          schema:
            title: Key
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: >-
                  Response Get Product Type With Properties Api Product Types 
                  Key  Properties Get
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````